[ejabberd] ejabberd won't start

Hanns Mattes hanns at hannsmattes.de
Fri Dec 16 21:01:47 MSK 2011


Hi all,

Distribution is Opensuse 11.3,
Packages are erlang R15B-2.1 and ejabberd 2.1.8-1.5

after an upgrade to the mentioned version of erlang ejabberd doesn't
start anymore. Log shows:

=ERROR REPORT==== 2011-12-16 14:52:46 ===
Error in process <0.182.0> on node 'ejabberd at localhost' with exit value:
{{case_clause,{error,driver_incorrect_version}},[{ejabberd_app,init,0,[{file,"ejabberd_app.erl"},{line,109}]}]}

I don't know anything about erlang, but after asking google I found a
remark about a similar error, that ejabberd is built against another
version than it is running.

Am I correct or are there other possible causes for the error?

Regards Hanns


More information about the ejabberd mailing list